NAME

Dist::Zilla::Plugin::FFI::Build

VERSION

version 1.04

SYNOPSIS

 [FFI::Build]

DESCRIPTION

This plugin makes the appropriate modifications to your dist to allow you to bundle code with FFI::Platypus::Bundle. It works with FFI::Build::MM, and only works with ExtUtils::MakeMaker, so don't try to use it with Module::Build.

It specifically:

Updates Makefile.PL

To call FFI::Build::MM to add the necessary hooks to build and install your bundled code.

Sets configure-time prereqs

For FFI::Build::MM. It also makes the prereqs for your distribution dynamic, which is required for FFI::Build::MM.

Prunes any build files

Removes any files in ffi/_build which may be created when developing an FFI module using the bundle interface.

This plugin adds the appropriate hooks for FFI::Build::MM into your Makefile.PL. It does not work with Module::Build.

AUTHOR

Graham Ollis <plicease@cpan.org>

COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.